r63523 - /scripts/examples/bts-retitle

gregoa at users.alioth.debian.org gregoa at users.alioth.debian.org
Sun Oct 10 13:35:44 UTC 2010


Author: gregoa
Date: Sun Oct 10 13:35:05 2010
New Revision: 63523

URL: http://svn.debian.org/wsvn/?sc=1&rev=63523
Log:
add script bts-retitle:
retitle an RFP/O bug to ITP/ITA

Added:
    scripts/examples/bts-retitle   (with props)

Added: scripts/examples/bts-retitle
URL: http://svn.debian.org/wsvn/scripts/examples/bts-retitle?rev=63523&op=file
==============================================================================
--- scripts/examples/bts-retitle (added)
+++ scripts/examples/bts-retitle Sun Oct 10 13:35:05 2010
@@ -1,0 +1,25 @@
+#!/bin/bash
+
+# retitle an RFP/O bug to ITP/ITA
+#
+# Copyright 2010 gregor herrmann <gregoa at debian.org>
+# Licensed under the same terms as Perl (GPL-1+ | Artistic)
+
+usage() {
+	echo "Usage: $(basename $0) <bug number> <ITP|ITA>"
+	exit 1
+}
+
+[ $# == 2 ] || usage
+
+BUG="$1"
+NEW="$2"
+
+SUBJECT=$(bts status "$BUG" | perl -ne "print if s/subject\s(.+)/\1/ && s/^\w+:/${NEW}:/")
+
+echo "run the following command?"
+echo bts retitle "$BUG" "$SUBJECT" . owner "$BUG" \!
+read -n 1 -p "y/N" SEND
+if [ "$SEND" == "y" ] ; then
+	bts retitle "$BUG" "$SUBJECT" . owner "$BUG" \!
+fi

Propchange: scripts/examples/bts-retitle
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-perl-cvs-commits mailing list